@import url('/css/variables.css');

.overlay {
  position: fixed;
  inset: 0;
  display: none;
  background: rgba(205,224,245,1);
  z-index: 1001;
  overflow-y: auto;
  syntax: auto touch;
  width: 100%;
  height: 100vh;
}

.overlay.active {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 5px;
}
  
.overlay-logo{
  display: flex;
  position: absolute;
  left: 0;
  top: 0;
  width: 100px;
  height: 59px;
  z-index: 1001;
}

.overlay-logo-active {
  position: fixed;
  margin: 0;
  width: 120px;
  height: auto;
  left: 0;
  top: 0;
}

.profileimage-mb,
.profile-icon-mb {
  display: flex;
  position: relative;
  justify-content: center;
  width: 30%;
  height: auto;
  top: 30px;
  margin: 0;
}

.overlay-content .close-btn {
  margin-top: 2rem;
  font-size: 2rem;
}

.overlay-content { text-align: center; position: relative; }

#close-overlay {
  position: absolute;
  top: 30px; right: 18px;
  background: none; border: none; cursor: pointer;
  font-size: 2rem; color: var(--red);
}

.overlay-content .ul-1 {
  list-style: none;
  margin: 0.5rem auto;
}

.overlay-content .ul-1 li {
  margin: 5rem 0;
}

.overlay-content .ul-1 li a {
  display: block;
  font-size: 2.5rem;
  text-decoration: none;
  font-family: var(--primary-font-family);
}

.ul-2 {
  display: flex;
  flex-direction: row;
  justify-content: center;
  font-size: 2.5rem;
  list-style: none;
  gap: 4rem;
  margin: 0.5rem 0;
}

.link-home,
.link-about,
.register {
  color: var(--secoundary-blue-color);
}

.link-blog,
.link-login {
  color: #3366FF;
}

.overlay-tagline {
  color: var(--secoundary-blue-color);
  font-style: italic;
  font-size: 1.4rem;
  bottom: 5px;
  margin: 0 auto 20px 30px;
}

.contact-btn {
  color: var(--secoundary-text-color);
  text-decoration: none;
  font-size: 1rem;
}

.hamburger {
  background: none; border: none; cursor: pointer;
  width: 32px; height: 32px; padding: 0;
  display: hidden;
  z-index: 1101;
}

.mobile-tablet-menu {
  display: none;
  align-items: center;
  gap: 1rem;
}

.logout-btn {
  background: var(--primary-blue-color);
  color: var(--secoundary-text-color);
  border: none;
  font-family: var(--primary-font-family);
  font-weight: bold;
  padding: 8px 14px;
  border-radius: 20px;
  cursor: pointer;
  transition: background 0.2s ease;
}

.logout-btn:hover {
  background: var(--Green);
}

#scroll-to-top { display:none; }

@media (max-width: 700px) {

  .mobile-tablet-menu {
    display: flex;
    align-items: center;
    gap: 1rem;
  }

  .hamburger {
    display: block;
  }

  .profile-icon-mb {
    width: 50%;
    left: 0;
  }
  
  .overlay-tagline {
    font-size: 1rem;
    margin-bottom: 20px;
  }

  .overlay-content .ul-1 li a {
    font-size: 2rem;
    
  }

  .ul-2 {
    font-size: 2rem;
    gap: 1rem;
  }

  .overlay-content .close-btn {
    margin-top: 2rem;
    font-size: 2rem;
  }
}

body:has(.overlay.active) .hamburger {
  display: none !important;
}

#show-when-logged-in {
  display: block;
  margin: 1rem auto;
}